Redmine - Defect #28409

Total estimated time value not visible when tracker has estimate time field disabled
2018-03-23 16:15 - Sebastian Paluch

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution: Affected version: 344
Description

There is a tracker that does have estimate time field disabled. The issue of that tracker can have subtasks of different trackers that
do have estimated time. The estiamted time for the parent issue is not shown at all, it should show total estimated time, in brackets.
This works fine for spend time.

History

#1 - 2018-04-03 04:48 - Go MAEDA

- File before@2x.png added

- File after@2x.png added

| agree with Sebastian Paluch. Here is a patch without tests.

Index: app/views/issues/show.html.erb

-—— app/views/issues/show.html.erb (revision 17253)
+++ app/views/issues/show.html.erb (working copy)
Q@ -64,7 +64,7 Q@
unless @issue.disabled_core_fields.include? ('done_ratio"')
rows.right 1(:field_done_ratio), progress_bar (@issue.done_ratio, :legend => "#{@issue.done_ratio}%"), :cl
ass => 'progress'

end
— unless (@issue.disabled_core_fields.include? ('estimated_hours")
+ unless @issue.disabled_core_fields.include? ('estimated_hours') && @issue.total_estimated_hours.blank?

rows.right 1(:field_estimated_hours), issue_estimated_hours_details(@issue), :class => 'estimated-hours'
end
if User.current.allowed_to?(:view_time_entries, @project) && @issue.total_spent_hours > 0

Before:

parent « Previous | 3 of 15| Next»
Added by Redmine Admin 22 minutes ago.

Status: New Start date: 04/03/2018

Priority: Normal Due date:

Assignee: - % Done: 0%

Category: - Spent time: (Total: 2.00 h)

Target version: -

Float field: Custom date:

Subtasks Add

Bug #24: child New

Related issues Add
After:
parent « Previous | 3 of 15| Next»
Added by Redmine Admin 20 minutes ago.

Status: New Start date: 04/03/2018

Priority: Normal Due date:

Assignee: - % Done: 0%

Category: - Estimated time: (Total: 1.00 h)

Target version: - Spent time: (Total: 2.00 h)

Float field: Custom date:

Subtasks Add
Bug #24: child New

Related issues Add

#2 - 2018-05-14 11:30 - Go MAEDA

- Target version set to Candidate for next minor release

#3 - 2018-05-28 07:09 - Tomomi Yuzuriha
- File tests.patch added

I've added the test-code for Go MAEDA's patch(#28409-1).

#4 - 2020-05-25 22:40 - Sebastian Paluch

Any chance to get this minor thing in soon?

#5 - 2020-06-02 15:11 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-11-28 09:53 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release

| found a problem in patch #28409#note-1.

Redmine shows estimated hours for a parent task in some cases even if estimated hours is disabled. You can reproduce the problem with the
following steps:

1. Set any value to the estimated hours field of a parent task and subtask

2. Disable the estimated hours field for the tracker

3. Open the parent task. The value of the parent task's estimated hour should not be displayed because the field is disabled, but both the parent's
estimated hours and total estimated hours are displayed

Files

before@2x.png 27.1 KB 2018-04-03 Go MAEDA
after@2x.png 29.2 KB 2018-04-03 Go MAEDA
tests.patch 1.18 KB 2018-05-28 Tomomi Yuzuriha

2025-05-01 22


https://www.redmine.org/issues/28409#note-1
https://www.redmine.org/issues/28409#note-1
http://www.tcpdf.org

